Status: Resolved Priority: Must have
Author: Bastian Waidelich Category:
Created: 2012-08-28 Assigned To: Bastian Waidelich
Updated: 2012-09-06 Due date:
Subject: Font and Image Factory don't work with current version
Description

With the latest version of the imagine library, the concrete implementations of \Imagine\Image\FontInterface and 
\Imagine\Image\ImageInterface expect a constructor argument. This breaks functionality of the respective factories.

The easiest solution would be to remove the factories. As imagine images & fonts shouldn't be required stand-alone, this shouldn't be
a problem.

Associated revisions
Revision a8f6f5de - 2012-08-28 17:11 - Bastian Waidelich

[BUGFIX] Remove broken Font- and Image-Factory

With the latest version of the imagine library, the concrete
implementations of \Imagine\Image\FontInterface and
\Imagine\Image\ImageInterface expect a constructor argument.
This breaks functionality of the respective factories.

This change simply removes the custom factories for those
two classes. As imagine images & fonts shouldn't be required
stand-alone, this shouldn't be a problem.

Change-Id: Ia3dcf8fc5a400e2aeb2d33996c669504e01eb2d5
Fixes: #40348

History
#1 - 2012-08-28 17:09 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14158

#2 - 2012-08-28 17:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14158

#3 - 2012-09-06 09:47 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
